Subject: Re: bug#39023: binary installation manual doesn't work on Alpine Linux

From: zimoun <[email-masked]>
Date: Thu, 23 Apr 2020 15:29:53 +0200

Hi Vincent,

On Thu, 23 Apr 2020 at 13:55, Vincent Legoll <[email-masked]> wrote:

> as I had been working on the installer lately [1],
> I tried to tackle this bug also, I have it mostly
> working.
>
> I added support for openrc-based init systems.
>
> I opted to support both adduser & useradd, changed
> some tool calls to work on busybox, etc... Then
> sprinkled a bit of cleanup & polish over the top.
>
> It's not finished, because I could not test it. I
> have a problem building the binary-tarball since I
> switched to the 1.1.0 release and I've yet to try
> to build on an earlier version.
>
> Stay tuned, patches incoming for review.
>
> [1] https://issues.guix.gnu.org/40601

Do you mean that the incoming patches will include an explanation in
the manual about adduser/useradd?
Do you mean that guix-install.sh will now include a conditional test
on the kind of foreign distibution to use adduser or useradd?

Thank you for working on that.

Cheers,
simon